All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.builder
Class RelationalFilterItemBuilder

    com.sas.iquery.builder.RelationalFilterItemBuilder

All Implemented Interfaces:
  Builder<FilterItem>

    public class RelationalFilterItemBuilder

implements Builder<FilterItem>

Method Summary
`RelationalFilterItemBuilder` | `between(java.lang.Number i, java.lang.Number j)`
`FilterItem` | `build()` Build and return and Intelligent Query object, based on parameters supplied to the `Builder` implementation.
`RelationalFilterItemBuilder` | `contains(java.lang.String string)`
`RelationalFilterItemBuilder` | `equal(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `equal(java.lang.Number number)`
`RelationalFilterItemBuilder` | `equal(java.lang.String string)`
`RelationalFilterItemBuilder` | `greaterThan(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `greaterThan(java.lang.Number number)`
`RelationalFilterItemBuilder` | `greaterThan(java.lang.String string)`
`RelationalFilterItemBuilder` | `greaterThanOrEqualTo(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `greaterThanOrEqualTo(java.lang.Number number)`
`RelationalFilterItemBuilder` | `greaterThanOrEqualTo(java.lang.String string)`
`RelationalFilterItemBuilder` | `in(int exprType, java.lang.String... stringLiterals)`
`RelationalFilterItemBuilder` | `in(java.lang.Number... numberLiterals)`
`RelationalFilterItemBuilder` | `in(java.lang.String... stringLiterals)`
`RelationalFilterItemBuilder` | `lessThan(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `lessThan(java.lang.Number number)`
`RelationalFilterItemBuilder` | `lessThan(java.lang.String string)`
`RelationalFilterItemBuilder` | `lessThanOrEquals(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `lessThanOrEquals(java.lang.Number number)`
`RelationalFilterItemBuilder` | `lessThanOrEquals(java.lang.String string)`
`RelationalFilterItemBuilder` | `like(java.lang.String string)`
`RelationalFilterItemBuilder` | `not()`
`RelationalFilterItemBuilder` | `notEqual(ExpressionInterface rightExpression)`
`RelationalFilterItemBuilder` | `notEqual(java.lang.Number number)`
`RelationalFilterItemBuilder` | `notEqual(java.lang.String string)`

Method Detail

### contains

    public RelationalFilterItemBuilder contains(java.lang.String string)

### lessThan

    public RelationalFilterItemBuilder lessThan(ExpressionInterface rightExpression)

### lessThan

    public RelationalFilterItemBuilder lessThan(java.lang.String string)

### lessThan

    public RelationalFilterItemBuilder lessThan(java.lang.Number number)

### lessThanOrEquals

    public RelationalFilterItemBuilder lessThanOrEquals(ExpressionInterface rightExpression)

### lessThanOrEquals

    public RelationalFilterItemBuilder lessThanOrEquals(java.lang.String string)

### lessThanOrEquals

    public RelationalFilterItemBuilder lessThanOrEquals(java.lang.Number number)

### greaterThan

    public RelationalFilterItemBuilder greaterThan(ExpressionInterface rightExpression)

### greaterThan

    public RelationalFilterItemBuilder greaterThan(java.lang.String string)

### greaterThan

    public RelationalFilterItemBuilder greaterThan(java.lang.Number number)

### greaterThanOrEqualTo

    public RelationalFilterItemBuilder greaterThanOrEqualTo(ExpressionInterface rightExpression)

### greaterThanOrEqualTo

    public RelationalFilterItemBuilder greaterThanOrEqualTo(java.lang.String string)

### greaterThanOrEqualTo

    public RelationalFilterItemBuilder greaterThanOrEqualTo(java.lang.Number number)

### equal

    public RelationalFilterItemBuilder equal(ExpressionInterface rightExpression)

### equal

    public RelationalFilterItemBuilder equal(java.lang.String string)

### equal

    public RelationalFilterItemBuilder equal(java.lang.Number number)

### notEqual

    public RelationalFilterItemBuilder notEqual(ExpressionInterface rightExpression)

### notEqual

    public RelationalFilterItemBuilder notEqual(java.lang.String string)

### notEqual

    public RelationalFilterItemBuilder notEqual(java.lang.Number number)

### between

    public RelationalFilterItemBuilder between(java.lang.Number i,
                                               java.lang.Number j)

### in

    public RelationalFilterItemBuilder in(int exprType,
                                          java.lang.String... stringLiterals)

### in

    public RelationalFilterItemBuilder in(java.lang.String... stringLiterals)

### in

    public RelationalFilterItemBuilder in(java.lang.Number... numberLiterals)

### like

    public RelationalFilterItemBuilder like(java.lang.String string)

### not

    public RelationalFilterItemBuilder not()

### build

    public FilterItem build()
                     throws MetadataException

  Description copied from interface: `Builder`
  Build and return and Intelligent Query object, based on parameters supplied to the `Builder` implementation.

  `null` is never returned from this method. A `MetadataException` will be thrown in the case where the object could not be constructed.

  Specified by:
    `build` in interface `Builder<FilterItem>`
  Returns:
    an Intelligent Query object of type `T`.
  Throws:
    `MetadataException` - if the object could not be build
  See Also:
    `Builder.build()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.